// closure-median-gamma.c Section: 2.8  Median Filter
//      Copyright 1994, Center for Computer Vision and Visualization,
//      University of Florida.  All rights reserved.
// Force instantiantion of the median gamma functions.


#include "median-gamma.h"


///////////////////////////////////////////////////////////////////

int main() {
    
    // Force the instantiation of the median_gamma() functions...
    u_char u[1]; u[0] = 0;
    int    i[1]; i[0] = 0;
    float  f[1]; f[0] = 0;

    u[0] = median_gamma( u, (unsigned int) 1 );
    i[0] = median_gamma( i, (unsigned int) 1 );
    f[0] = median_gamma( f, (unsigned int) 1 );

    return 0;
}
